%global namedreltag .AS71.Final
%global namedversion %{version}%{?namedreltag}

Name:             weld-core
Version:          1.1.5
Release:          1%{namedreltag}%{?dist}
Summary:          JSR-299 implementation
Group:            Development/Libraries
License:          ASL 2.0
URL:              http://seamframework.org/Weld

# git clone git://github.com/weld/core.git weld-core && cd weld-core 
# git checkout 1.1.5.AS71.Final
# git checkout-index -a -f --prefix=weld-core-1.1.5.AS71.Final/
# find weld-core-1.1.5.AS71.Final/ -name '*.jar' -delete
# tar cafJ weld-core-1.1.5.AS71.Final.tar.xz weld-core-1.1.5.AS71.Final
Source0:          %{name}-%{namedversion}.tar.xz

# Removing chestyle
Patch0:           %{name}-%{namedversion}-pom.patch
# Support for JDK7
Patch1:           0001-Fix-compilation-problem-on-JDK7.patch
# Fix issue with bridge methods 
Patch2:           0002-WELD-1091-Fix-issue-with-bridge-methods.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    weld-api
BuildRequires:    weld-parent
BuildRequires:    jboss-servlet-3.0-api
BuildRequires:    jboss-jsp-2.2-api
BuildRequires:    jboss-jsf-2.1-api

Requires:         jpackage-utils
Requires:         java
Requires:         weld-api
Requires:         jboss-servlet-3.0-api
Requires:         jboss-jsp-2.2-api
Requires:         jboss-jsf-2.1-api

%description
Weld is the reference implementation (RI) for JSR-299: Java Contexts
and Dependency Injection for the Java EE platform (CDI).

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 impl/target/weld-core-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-parent.pom
install -pm 644 impl/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Thu Mar 15 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.5-1.AS71.Final
- Initial packaging

